package cn.iocoder.yudao.module.bpm.api.model;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.bpm.api.model.vo.BpmModelRpcVO;
import cn.iocoder.yudao.module.bpm.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 流程实例")
public interface BpmModelApi {

    String PREFIX = ApiConstants.PREFIX + "/oa/model";

    @GetMapping(PREFIX + "/getModelList")
    @Operation(summary = "获取流程模版列表")
    CommonResult<List<BpmModelRpcVO>> getModelList();

}
