package cn.iocoder.yudao.module.system.api.position;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.common.util.object.BeanUtils;
import cn.iocoder.yudao.module.system.api.position.dto.PositionDTO;
import cn.iocoder.yudao.module.system.dal.dataobject.position.PositionDO;
import cn.iocoder.yudao.module.system.service.position.PositionService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@Validated
public class PositionApiImpl implements PositionApi {

    @Resource
    private PositionService positionService;

    @Override
    public CommonResult<PositionDTO> getPosition(Long id) {
        PositionDO positionDO = positionService.getPosition(id);
        return success(BeanUtils.toBean(positionDO, PositionDTO.class));
    }
}
