package cn.iocoder.yudao.module.smartfactory.controller.admin.factorypackingline.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 打包线配置分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class FactoryPackingLinePageReqVO extends PageParam {

    @Schema(description = "工厂id", example = "24676")
    private Long factoryId;

    @Schema(description = "打包线名称", example = "王五")
    private String name;

    @Schema(description = "是否公司承接 0否 1是", example = "2")
    private Integer type;

    @Schema(description = "窑炉id", example = "15240")
    private Long kilnId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}